import type { GenericRecord, GenericRecordTags, SaveGenericRecordOption } from './repository/GenericRecord';
import { AgentConfig } from '../../agent/AgentConfig';
import { GenericRecordService } from './service/GenericRecordService';
export declare type ContentType = {
    content: string;
};
export declare class GenericRecordsModule {
    private genericRecordsService;
    private logger;
    constructor(agentConfig: AgentConfig, genericRecordsService: GenericRecordService);
    save({ content, tags }: SaveGenericRecordOption): Promise<GenericRecord>;
    delete(record: GenericRecord): Promise<void>;
    update(record: GenericRecord): Promise<void>;
    findById(id: string): Promise<GenericRecord | null>;
    findAllByQuery(query: Partial<GenericRecordTags>): Promise<GenericRecord[]>;
    getAll(): Promise<GenericRecord[]>;
}
