"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProofAttributeInfo = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const credentials_1 = require("../../credentials");
const AttributeFilter_1 = require("./AttributeFilter");
class ProofAttributeInfo {
    constructor(options) {
        if (options) {
            this.name = options.name;
            this.names = options.names;
            this.nonRevoked = options.nonRevoked;
            this.restrictions = options.restrictions;
        }
    }
}
__decorate([
    class_validator_1.IsString(),
    class_validator_1.ValidateIf((o) => o.names === undefined),
    __metadata("design:type", String)
], ProofAttributeInfo.prototype, "name", void 0);
__decorate([
    class_validator_1.IsArray(),
    class_validator_1.IsString({ each: true }),
    class_validator_1.ValidateIf((o) => o.name === undefined),
    class_validator_1.ArrayNotEmpty(),
    __metadata("design:type", Array)
], ProofAttributeInfo.prototype, "names", void 0);
__decorate([
    class_transformer_1.Expose({ name: 'non_revoked' }),
    class_validator_1.ValidateNested(),
    class_validator_1.IsInstance(credentials_1.IndyRevocationInterval),
    class_transformer_1.Type(() => credentials_1.IndyRevocationInterval),
    class_validator_1.IsOptional(),
    __metadata("design:type", credentials_1.IndyRevocationInterval)
], ProofAttributeInfo.prototype, "nonRevoked", void 0);
__decorate([
    class_validator_1.ValidateNested({ each: true }),
    class_transformer_1.Type(() => AttributeFilter_1.AttributeFilter),
    class_validator_1.IsOptional(),
    class_validator_1.IsInstance(AttributeFilter_1.AttributeFilter, { each: true }),
    __metadata("design:type", Array)
], ProofAttributeInfo.prototype, "restrictions", void 0);
exports.ProofAttributeInfo = ProofAttributeInfo;
//# sourceMappingURL=ProofAttributeInfo.js.map